diff --git a/testing/registrar_test.sh b/testing/registrar_test.sh
index c060f09556332eaf4cdb09818a005bc82058bdbb..1d3e0aae949070ee26ac6c741be58b5eb0a6fe08 100755
--- a/testing/registrar_test.sh
+++ b/testing/registrar_test.sh
@@ -17,4 +17,6 @@ while read product; do
 done < "$product_list_file"
 
 pytest
-if [ $? -ne 0 ]; then echo "Pytest fail" >&2 && exit 1; fi
\ No newline at end of file
+if [ $? -ne 0 ]; then echo "Pytest fail" >&2 && exit 1; fi
+
+swift delete preprocessor_results